/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: DeploymentNotSetException.java 4392 2008-12-15 14:05:41Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.plan.fetcher.api.exceptions;

/**
 * Exception thrown when an operation on a IResourceFetcher requires
 * the deployment to be set but it is not.
 * @author Mickaël LEDUQUE
 */
public class DeploymentNotSetException extends Exception {

    /**
     * {@inheritDoc}
     */
    public DeploymentNotSetException() {
    }

    /**
     * {@inheritDoc}
     */
    public DeploymentNotSetException(String message) {
        super(message);
    }

    /**
     * {@inheritDoc}
     */
    public DeploymentNotSetException(Throwable cause) {
        super(cause);
    }

    /**
     * {@inheritDoc}
     */
    public DeploymentNotSetException(String message, Throwable cause) {
        super(message, cause);
    }

}
